[sword-devel] imp2ld

Darin Duphorne sword-devel@crosswire.org
Sun, 16 Feb 2003 20:15:07 -0600

I have spent the better part of a week trying to get imp2ld to work.  I 
am using OSX 10.2.4.  The libs appear to have been built and installed 
ok, since diatheke works ok.  I can use imp2vs to make nt and  ot 
files, but have been unsuccessful with either imp2ld or addld.  I 
inserted some debug code in imp2ld.cpp and found that it isn't 
returning from creating a RawLD object with mod2=new RawLD(modname) .

I've tried with 1.5.5 and 1.5.4 and some earlier builds -- no luck so 

The only thing funny I'm getting on build is:

ld: warning dynamic shared library: /usr/lib/libz.dylib not made a weak 
library in output with MACOSX_DEPLOYMENT_TARGET environment variable 
set to: 10.1

Please give me some help here.  This is becoming an obsession and is 
distracting me from my purpose in using sword.

Darin - Houston